Subject: Re: Do S/MIME and OpenPGP protect message headers?
From: Dave CROCKER <[email-masked]>
To: "Rolf E. Sonneveld" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Wed, 28 Dec 2011 08:12:33 -0800
List-Id: <ietf-822.imc.org>

On 12/28/2011 7:27 AM, Rolf E. Sonneveld wrote:
> Hi,
>
> just to check: S/MIME (http://tools.ietf.org/html/rfc5751) does not does
> include/cover the 5322.From and the 5322.To fields as part of the cryptographic
> payload. Protection of headers can be achieved by wrapping up a the complete
> message into a message/rfc822 bodypart and sign/encrypt that

However, of course, the contained message then ceases to be treated as a normal 
message by the receiving user agent.  It's just content.

Although not it's primary task, data integrity protection /is/ provided for 
listed header fields by DKIM.  (The signature lists the fields it covers. This 
typically does include From:, To:, and cc: and Subject.)

d/
-- 

   Dave Crocker
   Brandenburg InternetWorking
   bbiw.net

Date: Wed, 28 Dec 2011 16:27:42 +0100
From: "Rolf E. Sonneveld" <[email-masked]>
To: "[email-masked]" <[email-masked]>
Subject: Do S/MIME and OpenPGP protect message headers?
Sender: [email-masked]

This is a multi-part message in MIME format.

--Boundary_(ID_fD8lZ9a0DKiG+hc9e9gn2A)
Content-type: text/plain; CHARSET=US-ASCII; format=flowed
Content-transfer-encoding: 7BIT

Hi,

just to check: S/MIME (http://tools.ietf.org/html/rfc5751) does not  
does include/cover the 5322.From and the 5322.To fields as part of the 
cryptographic payload. Protection of headers can be achieved by wrapping 
up a the complete message into a message/rfc822 bodypart and 
sign/encrypt that (par. 3.1 of that RFC). How is that with OpenPGP 
(http://tools.ietf.org/html/rfc4880)? OpenPGP does not protect 5322.From 
and 5322.To either, does it?

Par. 5.11 of RFC4880:

    A User ID packet consists of UTF-8 text that is intended to represent
    the name and email address of the key holder.  By convention, it
    includes anRFC 2822  <http://tools.ietf.org/html/rfc2822>  [RFC2822  <http://tools.ietf.org/html/rfc2822>] mail name-addr, but there are no
    restrictions on its content.  The packet length in the header
    specifies the length of the User ID.

The recipient address is not mentioned anywhere. So is the following 
statement correct?:

Neither S/MIME nor OpenPGP protects the '5322.headers' of a message, 
unless that message itself is wrapped up and used as body of an 
enclosing S/MIME or PGP message

/rolf

--Boundary_(ID_fD8lZ9a0DKiG+hc9e9gn2A)
Content-type: text/html; CHARSET=US-ASCII
Content-transfer-encoding: 7BIT

<html>
  <head>

    <meta http-equiv="content-type" content="text/html; charset=ISO-8859-1">
  </head>
  <body bgcolor="#FFFFFF" text="#000000">
    Hi,<br>
    <br>
    just to check: S/MIME (<a class="moz-txt-link-freetext" href="http://tools.ietf.org/html/rfc5751">http://tools.ietf.org/html/rfc5751</a>) does not&nbsp;
    does include/cover the 5322.From and the 5322.To fields as part of
    the cryptographic payload. Protection of headers can be achieved by
    wrapping up a the complete message into a message/rfc822 bodypart
    and sign/encrypt that (par. 3.1 of that RFC). How is that with
    OpenPGP (<a class="moz-txt-link-freetext" href="http://tools.ietf.org/html/rfc4880">http://tools.ietf.org/html/rfc4880</a>)? OpenPGP does not
    protect 5322.From and 5322.To either, does it?<br>
    <br>
    Par. 5.11 of RFC4880:<br>
    <br>
    <meta http-equiv="content-type" content="text/html;
      charset=ISO-8859-1">
    <pre class="newpage">   A User ID packet consists of UTF-8 text that is intended to represent
   the name and email address of the key holder.  By convention, it
   includes an <a href="http://tools.ietf.org/html/rfc2822">RFC 2822</a> [<a href="http://tools.ietf.org/html/rfc2822" title="&quot;Internet Message Format&quot;">RFC2822</a>] mail name-addr, but there are no
   restrictions on its content.  The packet length in the header
   specifies the length of the User ID.
</pre>
    <br>
    The recipient address is not mentioned anywhere. So is the following
    statement correct?:<br>
    <br>
    Neither S/MIME nor OpenPGP protects the '5322.headers' of a message,
    unless that message itself is wrapped up and used as body of an
    enclosing S/MIME or PGP message<br>
    <br>
    /rolf<br>
  </body>
</html>

--Boundary_(ID_fD8lZ9a0DKiG+hc9e9gn2A)--

From [email-masked]  Wed Dec  5 07:31:22 2012
Date: Wed, 05 Dec 2012 07:31:06 -0800
From: Dave Crocker <[email-masked]>
Organization: Brandenburg InternetWorking
To: Ned Freed <[email-masked]>
Cc: John C Klensin <[email-masked]>, [email-masked], Pete Resnick <[email-masked]>, [email-masked]
Subject: Re: [ietf-822] [ietf-smtp] [Editorial Errata Reported] RFC5322 (3400)
Reply-To: [email-masked]

On 11/28/2012 7:41 AM, Ned Freed wrote:
> Agreed as well. And as for whether or not these issues should be reopened,
> if this is causing actual operational problems somewhere I for one am not
> aware of it.

If there is a pattern of confusion, then clarifying text could be 
useful.  However it does not appear that there is a pattern of confusion.

It's also clear there is no 'error' in the specs.

I don't remember whether Errata rejection permits annotating the reason. 
  If it does, a terse version of Pete's explanatory text ought to 
suffice, for posterity.

d/
-- 
  Dave Crocker
  Brandenburg InternetWorking
  bbiw.net

From [email-masked]  Wed Dec  5 07:35:38 2012
Date: Wed, 5 Dec 2012 07:35:32 -0800
From: Pete Resnick <[email-masked]>
To: <[email-masked]>
Cc: John C Klensin <[email-masked]>, [email-masked], [email-masked], Dave Crocker <[email-masked]>, Ned Freed <[email-masked]>
Subject: Re: [ietf-822] [ietf-smtp] [Editorial Errata Reported] RFC5322 (3400)

On 12/5/12 7:31 AM, Dave Crocker wrote:
> I don't remember whether Errata rejection permits annotating the 
> reason.  If it does, a terse version of Pete's explanatory text ought 
> to suffice, for posterity.

It does, and I will.

Thanks for the feedback.

pr

-- 
Pete Resnick<http://www.qualcomm.com/~presnick/>
Qualcomm Technologies, Inc. - +1 (858)651-4478

From [email-masked]  Wed Dec  5 07:55:51 2012
From: Christoph Anton Mitterer <[email-masked]>
To: [email-masked]
Date: Wed, 05 Dec 2012 16:55:39 +0100
Cc: John C Klensin <[email-masked]>, [email-masked], Pete Resnick <[email-masked]>, Ned Freed <[email-masked]>
Subject: Re: [ietf-822] [ietf-smtp] [Editorial Errata Reported] RFC5322 (3400)

--=-tjrfosrrCYo2OWdUjndg
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Hey all.

On Wed, 2012-12-05 at 07:31 -0800, Dave Crocker wrote:
> It's also clear there is no 'error' in the specs.
Just to point that out again,.. I never claimed (I hope so) that there
was an error in the specs... just that this could deserve some
highlighting/clarifications.

Cheers,
Chris.

--=-tjrfosrrCYo2OWdUjndg
Content-Type: application/x-pkcs7-signature; name="smime.p7s"
Content-Disposition: attachment; filename="smime.p7s"
Content-Transfer-Encoding: base64

--=-tjrfosrrCYo2OWdUjndg--